Bug 167706 - Username and password is ignored for SOCKS proxy
Username and password is ignored for SOCKS proxy
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Petr Cyhelsky
issues@platform
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 16:03 UTC by Petr Cyhelsky
Modified: 2009-07-24 05:40 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2009-06-26 16:03:18 UTC
Steps to reproduce: setup SOCKS proxy requiring username/password autentification -> set it as netbeans proxy in
Advanced Proxy Options dialog(don't forget filling Username and Password) -> try reloading catalog in AUC ->
"Authentication Required" dialog pops up for every connection through the SOCKS proxy.
Comment 1 Petr Cyhelsky 2009-06-26 16:19:32 UTC
Problem probably is, that in org.netbeans.core.NbAuthenticator.getPasswordAuthentication() this dialog is automatically
invoked if getRequestorType() returns ...SERVER
Comment 2 Jiri Rechtacek 2009-07-22 09:32:45 UTC
Petre, I have been promised you would propose a patch. Are you going to patch it? Thanks
Comment 3 Petr Cyhelsky 2009-07-22 09:40:00 UTC
tomorrow at the latest
Comment 4 Petr Cyhelsky 2009-07-23 14:02:54 UTC
fixed in http://hg.netbeans.org/profiler-main/rev/b114d841f7f1
Comment 5 Quality Engineering 2009-07-24 05:40:20 UTC
Integrated into 'main-golden', will be available in build *200907240201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b114d841f7f1
User: Petr Cyhelsky <cyhelsky@netbeans.org>
Log: #167706 - Use username and password set in options for SOCKS proxy


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo